gnutls_x509_ext_import_authority_key_id(3)

NAME
gnutls_x509_ext_import_authority_key_id - API function

SYNOPSIS
#include <gnutls/x509-ext.h>

int gnutls_x509_ext_import_authority_key_id(const gnutls_datum_t * ext, gnutls_x509_aki_t aki, unsigned int flags);

ARGUMENTS

const gnutls_datum_t * ext
    a DER encoded extension

gnutls_x509_aki_t aki
    An initialized authority key identifier type

unsigned int flags
    should be zero

DESCRIPTION
This function will return the subject key ID stored in the provided AuthorityKeyIdentifier extension.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE if the extension is not present, otherwise a negative error value.

SINCE
3.3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/